<article>
    <img 
        class="listing-photo"
        [src]="housingLocation?.photo"
        alt="Exterior photo of {{housingLocation?.name}}"
        crossorigin=""
    />
    <section class="listing-description">
        <h2 class="listing-heading">{{housingLocation?.name}}</h2>
        <p class="listing-location">{{housingLocation?.city}}, {{housingLocation?.state}}</p>
    </section>
    <section class="listing-features">
        <h2 class="section-heading">About this housing location</h2>
        <ul>
            <li>Unidades disponibles: {{housingLocation?.availableUnits}}</li>
            <li>Cuenta la casa con wifi?: {{housingLocation?.wifi}}</li>
            <li> Cuenta la casa con lavandería?: {{housingLocation?.laundry}}</li>
        </ul>
    </section>
    <section class="listing-apply">
        <h2 class="section-heading">Inscribirse ahora para vivir aquí</h2>
        <form [formGroup]="applyForm" (submit)="submitApplication()">
            <label for="first-name">Nombre</label>
            <input id="first-name" type="text" formControlName="firstName"/>

            <label for="last-name">Apellido</label>
            <input id="last-name" type="text" formControlName="lastName"/>

            <label for="email">Email</label>
            <input id="email" type="text" formControlName="email"/>
            <button type="submit" class="primary">Inscribirse ahora</button> 
        </form> 
    </section>
</article>